<?php

class Configuracion extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model('cliente_model');
        $this->load->model('noticia_model');
    }

    public function index() {
        $lista_u = $this->listar_clientes();
        $this->load->view('configuracion_view', $lista_u);
    }

    public function listar_clientes() {
        $data = array(
            'logos' => $this->cliente_model->listar_todos(),
            'noticias' => $this->noticia_model->noticias_ordentitulo());
        return $data;
    }

    public function establecer_prioridad() {
        $id = $this->uri->segment(3);
        $cliente = $this->cliente_model->retornar_logo($id);
        if ($cliente != FALSE) {
            $cliente = $cliente->row();
        }
        if ($this->restablecer_clienteprioridad($cliente->nombre_logo) == 1) {

            if ($cliente->tipo != 'prioridad') {
                $tipo = 'prioridad';
            }
            $data = array('tipo' => $tipo);
            $resultado = $this->cliente_model->modificar_prioridad($id, $data);
            if ($resultado == 1) {
                $this->session->set_flashdata('mensaje', 'Se realizaron correctamente los cambios');
                redirect('mensaje');
            } else {
                $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. Los cambios no se realizaron');
                redirect('mensaje');
            }
        }
    }

    public function restablecer_clienteprioridad($nombre_logo) {
        $direccion2 = 'imagenes/logos_clientes/clientes/';
        $iden_eliminacion = 0;
        if (file_exists($direccion2 . $nombre_logo)) {
            copy($direccion2 . $nombre_logo, 'imagenes/logos_clientes/prioridad/' . $nombre_logo);
            unlink($direccion2 . $nombre_logo);
            $iden_eliminacion = 1;
        }
        return $iden_eliminacion;
    }

    public function quitar_prioridad() {
        $id = $this->uri->segment(3);
        $cliente = $this->cliente_model->retornar_logo($id);
        if ($cliente != FALSE) {
            $cliente = $cliente->row();
        }
        $nombre_logo = $cliente->nombre_logo;
        $iden_eliminacion = $this->restablecer_cliente($nombre_logo);
        //echo $iden_eliminacion;
        if ($iden_eliminacion == 1) {
            $tipo = 'clientes';
            $data = array('tipo' => $tipo);
            $resultado = $this->cliente_model->modificar_prioridad($id, $data);
            if ($resultado == 1) {
                $this->session->set_flashdata('mensaje', 'Se realizaron correctamente los cambios');
                redirect('mensaje');
            } else {
                $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. Los cambios no se realizaron');
                redirect('mensaje');
            }
        }
    }

    public function restablecer_cliente($nombre_logo) {
        $direccion = 'imagenes/logos_clientes/prioridad/' . $nombre_logo;
        $direccion_destino = 'imagenes/logos_clientes/clientes/' . $nombre_logo;
        $resp = 0;
        if (file_exists($direccion)) {
            copy($direccion, $direccion_destino);
            unlink($direccion);
            $resp = 1;
        }
        return $resp;
    }

    public function editarinfo_logos() {
        $id = $this->uri->segment(3);
        $logo = $this->cliente_model->retornar_logo($id);
        if ($logo != FALSE) {
            $log = $logo->row();
            $estado = $log->estado;
            if ($log->nombre_logo != '') {
                if ($estado == 1) {
                    $fecha = $log->fecha_subido;
                    $nuevo_estado = 0;
                    $tipo = 'deshabilitado';
                } else {
                    //date_default_timezone_set('America/Guayaquil');
                    //$fecha = date("Y-m-d H:i:s");
                    $nuevo_estado = 1;
                    $tipo = 'clientes';
                }
                $data = array('estado' => $nuevo_estado,
                    'tipo' => $tipo,
                    'fecha_subido' => $fecha);
                $resultado = $this->cliente_model->modificar_logo($id, $data);
                if ($resultado == 1) {
                    $nombre_logo = $log->nombre_logo;
                    $ruta4 = 'imagenes/logos_clientes/prioridad/' . $nombre_logo;
                    $ruta1 = 'imagenes/logos_clientes/clientes/' . $nombre_logo;
                    //$ruta3 = 'imagenes/logos_clientes/prioridad/clientes_inactivos/' . $nombre_logo;
                    if (file_exists($ruta1)) {
                        $ruta = $ruta1;
                    } else {
                        if (file_exists($ruta4)) {
                            $ruta = $ruta4;
                        }
                    }
                    $this->eliminar_logo($nombre_logo, $ruta, $estado, $id);
                    $this->session->set_flashdata('mensaje', 'Se realizaron correctamente los cambios');
                    redirect('mensaje');
                } else {
                    $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. Los cambios no se realizaron');
                    redirect('mensaje');
                }
            } else {
                if ($estado == 1) {
                    $fecha = $log->fecha_subido;
                    $nuevo_estado = 0;
                    $tipo = 'sin logo';
                } else {
                    //date_default_timezone_set('America/Guayaquil');
                    //$fecha = date("Y-m-d H:i:s");
                    //$nuevo_estado = 1;
                    //$tipo = 'sin logo';
                }
                $data = array('estado' => $nuevo_estado,
                    'tipo' => $tipo,
                    'fecha_subido' => $fecha);
                $resultado = $this->cliente_model->modificar_logo($id, $data);
                if ($resultado == 1) {
                    $this->session->set_flashdata('mensaje', 'Se realizaron correctamente los cambios');
                    redirect('mensaje');
                } else {
                    $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. Los cambios no se realizaron');
                    redirect('mensaje');
                }
            }
        } else {
            $data = array('mensaje' => 'No existe cliente');
        }
    }

    public function eliminar_logo($nombre_logo, $direccion, $estado) {
        if ($estado == 1) {
            copy($direccion, 'imagenes/logos_clientes/clientes_inactivos/' . $nombre_logo);
            unlink($direccion);
        } else {
            if ($estado == 0) {
                copy('imagenes/logos_clientes/clientes_inactivos/' . $nombre_logo, 'imagenes/logos_clientes/clientes/' . $nombre_logo);
                unlink('imagenes/logos_clientes/clientes_inactivos/' . $nombre_logo);
            }
        }
    }

    public function eliminar() {
        $id = $this->uri->segment(3);
        $logo = $this->cliente_model->retornar_logo($id);
        if ($logo != FALSE) {
            $log = $logo->row();
            $nombre_logo = $log->nombre_logo;
            $ruta1 = 'imagenes/logos_clientes/prioridad/' . $nombre_logo;
            $ruta2 = 'imagenes/logos_clientes/clientes/' . $nombre_logo;
            $ruta3 = 'imagenes/logos_clientes/clientes_inactivos/' . $nombre_logo;
            if (file_exists($ruta1)) {
                $ruta = $ruta1;
            } else {
                if (file_exists($ruta2)) {
                    $ruta = $ruta2;
                } else {
                    if (file_exists($ruta3)) {
                        $ruta = $ruta3;
                    }
                }
            }
            if (unlink($ruta)) {
                $resultado = $this->cliente_model->eliminar_cliente($log->id);
                if ($resultado == 1) {
                    $this->session->set_flashdata('mensaje', 'Se ha eliminado el cliente');
                    redirect('mensaje');
                } else {
                    $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. No se pudo eliminar el cliente');
                    redirect('mensaje');
                }
            } else {
                $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. No se pudo eliminar el cliente');
                redirect('mensaje');
            }
        }
    }

    public function eliminar_noticia() {
        $id = $this->uri->segment(3);
        $resultado = $this->noticia_model->eliminar_noticia($id);
        if ($resultado == 1) {
            $this->session->set_flashdata('mensaje', 'Se ha eliminado la noticia');
            redirect('mensaje');
        } else {
            $this->session->set_flashdata('mensaje', 'Ha ocurrido un error. No se pudo eliminar la noticia');
            redirect('mensaje');
        }
    }

}
